tt_message_state(library call)

NAME
tt_message_state — retrieve the state attribute from a message

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_state tt_message_state(
Tt_message m);

DESCRIPTION

The tt_message_state function retrieves the state attribute from the specified message.

The m argument is the opaque handle for the message involved in this operation.

RETURN VALUE

Upon successful completion, the tt_message_state function returns a value that indicates the current delivery state of the message. The tt_message_state function returns one of the following Tt_status values:

TT_CREATED
    The message has been created, but not yet sent.

TT_SENT
    The message has been sent, but not yet handled.

TT_HANDLED
    The message has been handled; return values are valid.

TT_FAILED
    The message could not be delivered to a handler.

TT_QUEUED
    The message has been queued for delivery.

TT_STARTED
    The ToolTalk service is attempting to start a process to handle the message.

TT_REJECTED
    The message has been rejected by a possible handler.

The application can use tt_int_error(3) to extract one of the following Tt_status values from the Tt_state integer return value:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_int_error(3).